Bug 974206 - "Add new notifications" dialog becomes blank after clicking in it
"Add new notifications" dialog becomes blank after clicking in it
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-notificiations (Show other bugs)
3.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3
Assigned To: Shahar Havivi
infra
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 12:31 EDT by Alissa
Modified: 2013-09-23 03:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 03:36:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
blank dialog (190.59 KB, image/png)
2013-06-13 12:31 EDT, Alissa
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15885 None None None Never

  None (edit)
Description Alissa 2013-06-13 12:31:18 EDT
Created attachment 760816 [details]
blank dialog

Description of problem:
UI of adding notifications (manage events) becomes blank (all events dissapear) after clicking several times on the dialog (anywhere in the dialog)
Please see attached snapshot.

Version-Release number of selected component (if applicable):

How reproducible:
always

Steps to Reproduce:
1.Users tab in webadmin
2.Stand on user
3.Event notifier sub tab
4.Click on "manage events"
5.In the opened dialog ("Add new notification") just left click several times anywhere in the dialog area
6.All events dissapear, only title and OK/Cancel buttons remain displayed.

Actual results:


Expected results:


Additional info:
Comment 1 Shahar Havivi 2013-06-17 08:40:08 EDT
Fail to reproduce on the latest upstream.
Comment 2 Shahar Havivi 2013-06-17 08:49:22 EDT
After rechecking with Alissa we found out that in order to reproduce one need to click and drag down the mouse.
Comment 3 Shahar Havivi 2013-06-17 09:47:23 EDT
This is a known GWT bug,
We need to remove the cell margin (we are doing that in the other trees in the system)
Comment 4 Itamar Heim 2013-06-17 10:35:47 EDT
maybe wait with this till we upgrade to gwt 2.5?
Comment 5 Shahar Havivi 2013-06-17 16:19:10 EDT
The fix should be seamless to the user,
I will try to decrease the margin between cells while increasing the cell inner spacing.
(The tree should duplicate the default css and override the cell style).
If the fix is too big we may consider waiting to 2.5.
Comment 6 Shahar Havivi 2013-06-19 06:55:25 EDT
Patch posted at: http://gerrit.ovirt.org/#/c/15885/
Comment 7 Itamar Heim 2013-08-21 12:43:29 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 8 Itamar Heim 2013-09-23 03:36:41 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.